Unable to connect to Xfce Power Manager

Bug #973778 reported by Bazon on 2012-04-04
168
This bug affects 35 people
Affects Status Importance Assigned to Milestone
Light Display Manager
Undecided
Unassigned
xfce4-power-manager
Confirmed
Critical
xfce4-power-manager (Ubuntu)
Medium
Unassigned

Bug Description

What happens:

When I try to access the Xubuntu Power Manager (through Xubuntu Settings / Settings Manager), I get first a blank settings window and then this error message:

"Unable to connect to Xfce Power Manager
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken. "

typing
xfce4-power-manager
or
xfce4-power-manager-settings
in the terminal leads to: nothing. nothing happens, not even a error message.

So I'm not able to make any power settings in Xubuntu.

What is expected to happen:
Being able to use power manager settings

Ubuntu Version:
12.04 beta with all updates.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xfce4-power-manager 1.0.11-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-21.34-generic-pae 3.2.13
Uname: Linux 3.2.0-21-generic-pae i686
ApportVersion: 2.0-0ubuntu4
Architecture: i386
Date: Wed Apr 4 23:15:10 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328)
SourcePackage: xfce4-power-manager
UpgradeStatus: No upgrade log present (probably fresh install)

Bazon (bazonbloch) wrote :
Lionel Le Folgoc (mrpouit) wrote :

Hi,

Thanks for your bug report.

Could you try to start it manually in a terminal with the following commands:
xfce4-power-manager --quit # to quit it in case it is running
xfce4-power-manager --no-daemon # this will start it manually and display warnings/error messages on the console

?

Changed in xfce4-power-manager (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Bazon (bazonbloch) wrote :

Sorry, for the moment, I can't reproduce, next time I started the session, it works.
If it happens again, I'll report the result of your advices.
thanks.

Marcelo M (mottalli) wrote :

Same problem happened to me. It happened right after I installed the xubuntu-desktop package, I logged out of Gnome and into XFCE, and I got the message. I then rebooted my computer, and logging into XFCE directly seems to solve the problem.

System detail: Dell Vostro 1500, Ubuntu 12.04 LTS, dm Xubuntu-Desktop.

Summary: very chaotic unstable behavior...unusable almost.

- There is a major issue with the stability and performance of the Power Manager where the power manager plugin panel is very slow to load, it loads about 20 seconds after the Wifi network manager launches and connects, it takes forever when it should load instantly before all the other indicator plugins.

- When I go into XFCE control panel settings and click Power Settings, I get a blank screen and this is on a fresh install of 12.04 LTS with XFCE downloaded from the Software Centre.

- When I attempt to click on the preferences icon in the panel plugin, nothing happens and then a pop up emerges with a smiley screen repeating the Power Manager version information. Clicking on the button OK keeps me in a perpetual loop where the dialog box never closes. I have to close it with the X window closer button. When I attempt to reopen the dialog box again from the indicator plugin panel, it is totally blank.

System detail: Dell Inspiron 1000, Lubuntu 12.04 LTS, dm LXDE.

I also have an install of Lubuntu 12.04 on another machine and for some reason it works perfectly every single time. Oddly the above error is only found on XFCE based desktops and does not affect the other DM's.

At this point the Power Manager is totally unusable and unreliable...

This is also happening to me, I filed a similar bug in their Bugzilla listing:
https://bugzilla.xfce.org/show_bug.cgi?id=8809

Power Manager for any 12.04 LTS version except my Lubuntu 12.04 seem to be totally unusable, this application is really a mess.

(In reply to comment #1)
> At this point the Power Manager is totally unusable and unreliable...

MAJOR update for you on this bug. Tried doing a clean install of Xubuntu and the problem went away. I think I have identified the conflict area.

Explanation:

When I first installed Ubuntu I installed it with the default Unity desktop. They have a login screen run by LightDM manager. It matches with the Unity Desktop and has all the same plugins in the panel for things like internet connectivity...Notice in the link provided below they have their own power manager plugin running in the Unity Greeter LightDM screen. I think switching sessions from the Unity Greeter somehow causes problems with the session running in XFCE "Xubuntu" and that the power plugin is affected the most.

This might explain the many power manager bug reports.

See link: http://joesteiger.com/wp-content/uploads/2012/01/ugreeter-1.png

Symptoms of "xfce4-power-manager" running with Unity Greeter first:

- power manager fails to load.
- plugin takes forever to load.
- "cannot connect to XFCE4-power-manager" error.
- Power Settings panel in system settings is blank.

Thank you for the attention...

This is similar to my experience on Xubuntu 12.04
power manager applet couldn't be loaded to Setting Manager/Power manager and it says
"Unable to connect to Xfce Power Manager
Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken. "

I also tried:

lev@mach:~$ xfce4-power-manager --quit
lev@mach:~$ xfce4-power-manager --no-daemon
Xfce Power Manager: Another power manager is already running

but didn't help.

Cheers,
Lev

sabreur (jstogin) wrote :

I have found this problem to be intermittent. Whenever this is happening, I also get no response from pressing the power button on my computer (normally, pressing the power button gives a prompt for suspend, shut down, etc.). Also, whenever this is happening, there is no battery icon in the panel, so I cannot tell how much battery power is left. Sometimes, restarting fixes the problem, but only for a few minutes.

Adam Orwell (anopenid6045) wrote :

Having this exact problem on Ubuntu 12.04 64-bit using xfce4, running on a Thinkpad T61 (CTO-8897).

Same here. Running xfce4-power-manager with --nodaemon results in the following:

(xfce4-power-manager:3027): xfce4-power-manager-WARNING **: could not map keysym 1008ffa8 to keycode

Fully up-to-date Ubuntu 12.04 install with xubuntu-desktop installed through apt, in an Xfce4 session. No battery icon, no suspend on lid close, but the power button brings up the "what would you have me do" menu as expected.

Bad form following up to myself, I know, but: running xfce4-power-manager as root loads it as expected, complete with battery icon. Loading it as plain-old-me does not.

This seems to be fixed in XFCE 4.10 as I no longer have that issue. Can you look into it further and test with 4.10? I forget the PPA that provides that update and will have to find it again...

Emmanuelle Driz (emandriz) wrote :

I'm on Ubuntu 12.04 LTS with XFCE 4.10 as well but this problem has not been fixed for me. The symptoms remain the same and without power options I cannot hibernate either.

Bazon (bazonbloch) wrote :

OK, I got the problem again.
So your commands give me:
xfce4-power-manager --quit
(no output message)

xfce4-power-manager --no-daemon
"Energieverwaltung für Xfce: Eine andere Energieverwaltung läuft bereits"
which means translatet:
"power manager for fxce: an other power manager is now running".

and in fact, as I looked in my task-manager, there was still an instance of xfce4-power-manager running.
After killing that instance,

xfce4-power-manager --no-daemon

gave me the output:
"(xfce4-power-manager:2226): xfce4-power-manager-WARNING **: could not map keysym 1008ffa8 to keycode"

but in fact, the power manager is now running and working.

tobydeemer (tobydeemer) wrote :

This also is occurring for me. Running from a terminal I get this:

user@host:~$ ps ax | grep power
 1469 ? Sl 0:00 /usr/lib/upower/upowerd
 1898 ? Ss 0:00 xfce4-power-manager
 2189 ? Sl 0:00 xfce4-power-manager-settings --socket-id=54526262
 2297 pts/1 S+ 0:00 grep --color=auto power
user@host:~$ sudo -i
[sudo] password for user:
root@host:~# kill 1898
root@host:~# kill 2189
root@host:~# xfce4-power-manager --no-daemon

(xfce4-power-manager:2355): GLib-WARNING **: (/build/buildd/glib2.0-2.32.3/./glib/gerror.c:390):g_error_new_valist: runtime check failed: (domain != 0)

(xfce4-power-manager:2355): xfce4-power-manager-WARNING **: Unable to connect to session managet : Failed to connect to the session manager: SESSION_MANAGER environment variable not defined

(xfce4-power-manager:2355): xfce4-power-manager-WARNING **: could not map keysym 1008ffa8 to keycode

>> after this, the power manager panel applet shows up. When trying to access the power manager settings, I *cannot* get to the controls via Settings Manager > Power Manager. But I *can* get to the application settings via right-click on the applet > preferences. Probably because the new instance was not initiated with the session login.

small section of syslog; not sure if it's relevant:
Aug 13 01:41:51 hostname dbus[809]: [system] Activating service name='org.freedesktop.Accounts' (using servicehelper)
Aug 13 01:41:51 hostname dbus[809]: [system] Successfully activated service 'org.freedesktop.Accounts'
Aug 13 01:41:51 hostname accounts-daemon[1339]: started daemon version 0.6.15
Aug 13 01:41:51 hostname dbus[809]: [system] Activating service name='org.freedesktop.ConsoleKit' (using servicehelper)
Aug 13 01:41:51 hostname dbus[809]: [system] Successfully activated service 'org.freedesktop.ConsoleKit'
Aug 13 01:41:53 hostname dbus[809]: [system] Activating service name='org.freedesktop.UPower' (using servicehelper)
Aug 13 01:41:53 hostname dbus[809]: [system] Successfully activated service 'org.freedesktop.UPower'
Aug 13 01:41:56 hostname dbus[809]: [system] Activating service name='org.freedesktop.RealtimeKit1' (using servicehelper)

tobydeemer (tobydeemer) wrote :

Just to update-

My installation was done as regular Ubuntu, using Unity. I had later added Xubuntu Desktop package, as Unity was too resource hungry on this machine. (AMD dual core 11.9ghz, 4gb DDR2, 32gb ssd).

This issue started manifesting probably a couple days ago, and I recall seeing a unity update prior to this occurring.

Anyway, this evening I removed Unity, gnome-power-manager and gnome-session components related to power, and also removed indicator-power (which also triggered a few other auto-removals related to the gnome/unity session). After doing this, I rebooted.

LightDM did not load up after this reboot, but stayed at a black screen. I switched to tty1 and logged in via CLI. I removed and reinstalled LightDM, which made it default to Xubuntu desktop as its default session. Another reboot, and I have a LightDM session screen, and upon login, the XFCE power indicator applet is present in the panel, and I can access the power settings from the settings manger.

So it would appear there's now some sort of conflict between gnome-power and xfce-power when they are both installed under LightDM.

Hopefully this is helpful, but this is just my experience.

Bazon (bazonbloch) wrote :

Maybe I should add, my installation was also regular Ubuntu with adding xubuntu-desktop package later. Maybe it's connected to that?

awol (awol99) wrote :

i have 2 32it installs of 12.04 (laptops) with Unity and Xfce (Xubuntu). on Computer A, Xubuntu was installed THEN Unity. on Computer B the standard Unity install was made THEN Xubuntu. the result of this is that A uses the Xubuntu login and B the standard login - sorry i don't know the details of the difference between these two logins. Manager, greeter ???

computer B HAS this problem but NOT for the original install administrator account - only subsequently created accounts. Computer A does NOT have this problem for any account. the problem happens only under Xubuntu NOT Unity.

the main issue for me is that, since the power manager seems to be not working at all under effected logins, closing the lid does nothing even though settings say to Suspend. that is settings made under Unity - there are no settings under Xubuntu.

this is not good for a naive user.

i suppose a workaround is to install Xubuntu first and use the Xubuntu login - but i prefer the standard login for aesthetic reasons.

i'm an Xubuntu user at heart as are my clients but i feel obliged to keep up with Unity as it is more mainstream.

sorry for the rambling description - i'll try my workaround and report. i will put effort into whatever experiments might be thought necessary.

awol (awol99) wrote :

NOW the original admin login that worked properly has THE PROBLEM ! see comment above.

awol (awol99) wrote :

i have reinstalled Xubuntu without Unity and now have NO PROBLEM with power management.

I was having the same issue on my MacBook Air 2012, and followed the advice from tobydeemer in #14 - removing all the unity and gnome-power-manager stuff - and suspend/resume works perfectly now.

Ryan Daly (daly-ctcnet) wrote :

I cannot remove gnome-power-manager without it wanting to remove the ubuntu-desktop, too. I use packages from ubuntu-desktop while using Xfce, so removing ubuntu-desktop is not an option for me.

Is the workaround to simply uninstall/reinstall lightdm?

This is no longer an issue for me, as of recent updates this is FIXED...

tobydeemer (tobydeemer) wrote :

In reply to Ryan Daly #20, ubuntu-desktop is only a meta-package. This means basically you could do "apt-get install ubuntu-desktop" and it will get everything you need automatically. Removing meta-packages won't actually remove, say, nautilus or network-manager. Apt will show you everything that will be removed if you try to pull out a package. On a command line, do apt-get remove gnome-power-manager, and it will show you all the packages that will be affected by the change, and will ask for a confirmation. For instance:
<code>
user@host:~/.cache/sessions$ sudo apt-get remove xubuntu-desktop
[sudo] password for supreme:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  xubuntu-desktop
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
After this operation, 44.0 kB disk space will be freed.
Do you want to continue [Y/n]?
</code>

Now, back on topic (sorry). I wish I had better news, but I have this same issue again on a different machine. Same build type- Ubuntu with Unity first, moved to XFCE later. I followed the steps I had posted ealier and removed the unity and gnome power stuff. No dice this time. XFCE power manager just doesn't like to start up.

What's more, this time I can't even start it on CLI via the --no-daemon option in order to get bug output, as it's already running. But it's a Zombie that can't be killed:
<code>
root@host:~# ps ax | grep power
 1402 ? Sl 0:00 /usr/lib/upower/upowerd
 1926 ? Ss 0:00 xfce4-power-manager
 2577 ? Ss 0:00 xfce4-power-manager
 5212 pts/2 S+ 0:00 grep --color=auto power

root@host:~# kill 1926
root@host:~# kill 2577

root@host:~# ps ax | grep power
 1402 ? Sl 0:00 /usr/lib/upower/upowerd
 1926 ? Ss 0:00 xfce4-power-manager
 2577 ? Ss 0:00 xfce4-power-manager
 5214 pts/2 S+ 0:00 grep --color=auto power
root@host:~#
</code>

*sigh*

tobydeemer (tobydeemer) wrote :

Hi all-

I regret to report that my update from yesterday was a bit of a false alarm, in the respect that I'm now able to get xfce-power-manager through applet or through System settings window.

The problem on this system that was having issues was that indicator-power was still installed, and was causing the conflict. I thought I had removed it, but that was not the case.

Removing indicator-power fixed the issue, and now I have the xfce-power-manager applet in the panel, and I can open the settings through the System settings control panel.

So the issue of a conflict still exists, but it still able to be resolved by removing the gnome-power manager elements as well as indicator-power.

Hope that helps and sorry again for the added noise.

-td

Xebec (vkleban) wrote :

Affects me. When xfce power manager fails to run properly (it happens randomly in about 30% of boots), my system seems to be controlled by some other power manager, since the screensaver turns on automatically (I turned it off in xfce4-power-manager). I was one of those unlucky people installing Ubuntu 12.04 and then deciding that I hated Unity, and since GNOME 2 days are numbered - migrating to XFCE

Saeed Zarinfam (zarinfam-s) wrote :

I had this problem, i unchecked "Power Manager" from "Application Autostart" list and added another application with this command "xfce4-power-manager --no-daemon" then i have not have this problem yet.

Did i do good work?

Saeed,

this issue is difficult because it is intermittent - which means it happens
sometimes and not others due to an unknown cause.

i am currently not seeing this problem. if it comes back i will try your
fix and let you know if it works.

thanks.

On Sun, Sep 23, 2012 at 3:06 AM, Saeed Zarinfam
<email address hidden>wrote:

> I had this problem, i unchecked "Power Manager" from "Application
> Autostart" list and added another application with this command "xfce4
> -power-manager --no-daemon" then i have not have this problem yet.
>
> Did i do good work?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/973778
>
> Title:
> Unable to connect to Xfce Power Manager
>
> Status in “xfce4-power-manager” package in Ubuntu:
> Incomplete
>
> Bug description:
> What happens:
>
> When I try to access the Xubuntu Power Manager (through Xubuntu
> Settings / Settings Manager), I get first a blank settings window and
> then this error message:
>
> "Unable to connect to Xfce Power Manager
> Did not receive a reply. Possible causes include: the remote application
> did not send a reply, the message bus security policy blocked the reply,
> the reply timeout expired, or the network connection was broken. "
>
>
> typing
> xfce4-power-manager
> or
> xfce4-power-manager-settings
> in the terminal leads to: nothing. nothing happens, not even a error
> message.
>
> So I'm not able to make any power settings in Xubuntu.
>
> What is expected to happen:
> Being able to use power manager settings
>
>
> Ubuntu Version:
> 12.04 beta with all updates.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: xfce4-power-manager 1.0.11-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-21.34-generic-pae 3.2.13
> Uname: Linux 3.2.0-21-generic-pae i686
> ApportVersion: 2.0-0ubuntu4
> Architecture: i386
> Date: Wed Apr 4 23:15:10 2012
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386
> (20120328)
> SourcePackage: xfce4-power-manager
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xfce4-power-manager/+bug/973778/+subscriptions
>

--
Sent from my recycled old computer.
[:C≡N:]− , I ≤ 2πrEħc ln 2

Fiorenzo De Santis (fiod3s) wrote :

The Saeed's advice has helped me, I've modified /etc/xdg/autostart/xfce4-power.manager.desktop to start "xfce4-power-manager --no-daemon" and now it works fine! Thanks a lot!!!

Fen Labalme (fen-openprivacy) wrote :

After upgrading from xubuntu 12.04 x64 (with the xfce 4,10 PPA) to 12.10 the power manager no longer works for me (e.g., no suspend on lid close, and it won't open in the Setting panel). Running `xfce4-power-manager --no-daemon` from the command line I get:

(xfce4-power-manager:13198): GLib-WARNING **: (/build/buildd/glib2.0-2.34.0/./glib/gerror.c:390):g_error_new_valist: runtime check failed: (domain != 0)

(xfce4-power-manager:13198): xfce4-power-manager-WARNING **: Unable to connect to session managet : Failed to connect to the session manager: SESSION_MANAGER environment variable not defined

(xfce4-power-manager:13198): xfce4-power-manager-WARNING **: could not map keysym 1008ffa8 to keycode

Trying various things, will re-post if I find a solution.

Thanks!

Fen Labalme (fen-openprivacy) wrote :

Happy to say, it's working for me now. Just went through my bash history to see if I had actually made any changes to the system, but I can't see any. Tried another reboot and power-manager is working and suspend when lid closed is, too.

Hope this is not an intermittent problem as appears to be for some in this thread. If I see more issues, I'll post anything I find.

Thanks!

William Meng (wlmeng11) wrote :

I solved the issue on my laptop by making sure that ONLY "xfce4-power-manager --no-daemon" was running.
(first killed all xfce4-power-manager processes, as I had several instances running, then running it with the --no-daemon option)
Tip: Use "kill -9" if you can't kill it normally.

Xuan (Sean) Hu (huxuan) wrote :

hi, all,

I fixed my problem by removing indicator-power according to tobydeemer #23.

Wish this can be helpful to you! ^.^

Xuan (Sean) Hu (huxuan) wrote :

Just to update.
After serveral days I suddenly find my xfce4-power-manager can not running again.
I found it is caused by dbus by exploring on Google in an ArchWiki
I use the command 'sudo update-rc.d dbus defaults' and then everything seems to be ok.

This may not solve your problem but I think it's worth trying 4.10 from the Xubunt Dev PPA becuase I have had no problems after installing it...https://launchpad.net/~xubuntu-dev/+archive/xfce-4.10...

Changed in xfce4-power-manager (Ubuntu):
status: Incomplete → Opinion

On new install of 12.10 (AMD64 architecture) this bug appeared.
Notice that 12.10 is using XFCE 4.10 as standard, so no need for PPA.

Additional information:
* When trying operations requested on comment #2, observed same behavior as comment #12
* Regarding power button, it does nothing when pressed, as reported on #6 and #8.
* Also installed Ubuntu then XFCE components, like in comments #14 and #15.
* Package indicator-power *is* installed. Removing indicator-power might be an option for some but it's a kludgy workaround as it probably deprives users running gnome or unity from seeing battery status :-/.
* After doing like in comment #12 (kill -9 was needed, --quit or plain kill was not enough), power manager can be tuned via XFCE parameter tool and works (e.g. suspends when closing lid, if configured that way).
* Also, the system experiences bug #1048805. It might be a hint as both bug show a message "Did not receive a reply." The local fix for power manager does not fix that bug, still.

To summarize : the scenario of a conflict between Gnome and XFCE components seem plausible.

Bazon (bazonbloch) wrote :

Maybe this observation is usefull:
I started using _only_ the XFCE notification area (see file:///usr/share/doc/xfce4-panel/html/C/systray.html ) and _not_ the other Ubuntu notification area (where Unity indicators will be placed).
Since then, I hadn't this bugs problem anymore. (I hope it will stay like this...)

Yogesh (yogesh2k20) wrote :

I had simillar issue that there was 2 xfce4 power manager running but no battery icon on the desktop with ubuntu 12.04 + xubuntu insalled on top it.

The solution from this link helped http://ubuntuforums.org/showthread.php?t=2036759

Paul Garlick (pgarlick) wrote :

In 12.10 I have found the problem persists after removing indicator-power and gnome-power-manager.

To work around the problem I have edited the session start-up file /etc/xdg/autostart/xfce4-power-manager.desktop:

replacing 'Exec=xfce4-power-manager' with 'Exec=xfce4-power-manager --no-daemon'

This allows the battery icon to be displayed and the Power Manager System settings are also available.

The error message noted in #8 is sent to .xsession-errors.

My system also exhibits the https://bugs.launchpad.net/bugs/1048805 . Could there be a link between the --no-daemon and --disable-server options?

I also have Ubuntu 12.04 installed. Used the Unity desktop for a while, but I was convinced to switch to Xfce 4.10 from PPA. Installed the xfce4-power-manager package (for some strange reason it wasn't installed when I typed 'sudo apt-get install xfce4'), now using the DE without any problems... Having LightDM as DM, but don't experience your problems. I'd like to help, but can't reproduce the bug...

Bazon (bazonbloch) wrote :

After two more months of testing I can confirm my #35 :
this doesn't happen with the XFCE notification area, only with the Ubuntu notification area (which is used by default).

So I propose: switch the default notification area to the XFCE notification area for xubuntu-desktop.

Simon Lüke (semaphor) wrote :

This bug also affects me, xfce4-power-manager stopped working out-of-the-box after I set up a fresh Ubunutu 12.10 64-bit installation. I.e. I assume it is lightdm and its use ot the indicators from Unity.

As window manager I use awesome and chose xfce4-power-manager for indicating battery status and handling the other power related configurations, which worked very well on my previous Linux Mint 13 (Maya, based on Ubuntu 12.04).
xfce4-power-manager is started in the awesome configuration but it's not working: the process remainins in status “S” → “interruptible sleep (waiting for an event to complete)“. After I kill it (SIGKILL is needed, no way to terminate it otherwise) I can start it manually and sucessfully (indicator applet appears, power management config is applied) using the no-daemon switch:

   xfce4-power-manager --no-daemon

 or even

   xfce4-power-manager --no-daemon &

;-)

So I can reproduce the same behaviour as suggested in #37 of this bug. (Besides I get the same error messages as in #28.)

What's different when starting with the no-daemon switch (apart from starting in foreground)? Could the lightdm people take care of a configuration enabling conflict free starting of the different environments (Unity / XFCE / Awesome with xcfe4-power-manager)?
Is it possible to include the suggested fix in the default config, i.e. /etc/xdg/autostart/xfce4-power-manager.desktop? For I nearly killed my laptop battery not recognising the problem and running into deep discharge yesterday.

malinka (malinka) on 2013-03-18
Changed in xfce4-power-manager (Ubuntu):
status: Opinion → Fix Released
qji (qji) wrote :

Is it fixed on 12.04 also? It's just happened again on my laptop...

Horst-Martin (hmaschwarz) wrote :

On Acer Aspire 5920G after updating kernel 3.2.0-40 12.04 LTS Ubuntu-Studio I got the same problem and it still resists with the kernel -41.
Before I made this update I had no problems with xfce-power-manager.
I tried to solve it with this workaround, which doesn't solve the problem completely:
http://d24m.de/2012/05/10/xubuntu-12-04-und-der-power-manager/
The power manager doesn't start automatically after processing this workaround, but I can start it now with a terminal or over Software=>Accessories=> Power-manager=>"will you start the power-manager", without the reported error message. The brightness control doesn't work as it should: no OSD is shown and there are no limits to the brightness regulation. Having the cairo dock installed it shows me, that it changes the gamma, too, if I change the brightness. This is a new behavior! I have version 1.0.11-0ubuntu2 installed.

I just started seeing this problem after having upgraded from Ubuntu 13.04 to Ubuntu 13.10. I tried stracing it, and it ends up like the attachment I'm adding. The lock / login sounds like a possible culprit, as that's something that has changed from 13.04 to 13.10, and I'm also encountering some problems suspending the machine.

Created attachment 5215
xfce power manager strace

with fresh ubuntu 13.10 and xfce desktop i get this symptomatic behavior (confirmed on several installations):
* at first everything looks ok
* after several logout/logins or after wake-up from hibernate xfce4-power-manager (symptom: no battery status icon) and audio volume buttons stop working, power policies (hybernate, blank screen on lid) do not work, notebook goes into suspend
* "ps awxu | grep xfce" reveals several instances of xfce4-power-manager and xfce4-volumed running, sometimes up to 3 instances of each are observed
* i tried to do "Settings | Session and Startup | Session | Clear saved sessions" since it seems even when "Automatically save session on logout" in "Logout Settings" is set to off, multiple instances of power manager and audiod creep in on login
* killing all xfce4-power-managers and restaring it with --debug seems to get it working while the one without an option produces a non-functioning one (this seems like a bug in the code since it works while a lot of --debug is produced and just hangs when run without an option, i guess it's the same with the --no-daemon)
* logout after killing excessive instances of the power manager and volumed produces a session with single instance of both applications only. unfortunately, notebook's volume buttons stop working (workaround is to assign keyboard shortcuts to audio buttons and alsamixer up/down/mute)

Bratmaxe (marcel-456) wrote :

I have the same Problem in xubuntu Trusty (14.04) .

When I try to access the Xubuntu-Power-Manager through Xubuntu Settings / Settings Manager first nothing happen, then ill become an error message:

"xfce4-power-manager-settings-CRITICAL **: Unable to get configuration information from xfce power manager: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken."

the same in terminal...

Jaime Pérez (jaime-91) wrote :

Same problem here for 14.04

Sebastien Dejean (sdejean) wrote :

This bug says "Fix released" but I fail to see a fix listed in the comments for this post, or a root cause. I am still experiencing the issue in Xubuntu 14.04/Xfce 4.10. The link to the Xfce bugzilla-tracked bug also has little information or resolution. Would it be possible to change the status of this bug or at least point to a bug that tackles the issue in Xfce 4.10?

I was seeing this bug in 13.10 but it seemed to not be an issue in 14.04 for a few weeks after I upgraded, but recently it started again. Maybe I had applied the workaround in 13.10 and it got carried over, but a post-upgrade update reverted it. Maybe.

The workaround has helped me: editing /etc/xdg/autostart/xfce4-power-manager.desktop replacing 'Exec=xfce4-power-manager' with 'Exec=xfce4-power-manager --no-daemon'

Andrea Zwirner (andrea-6) wrote :

Same problem here. Lubuntu 14.04 on Eee PC 1015PEM:

--- BEGIN
andrea@andreeea:~$ xfce4-power-manager --quit
andrea@andreeea:~$ xfce4-power-manager --no-daemon

(xfce4-power-manager:4968): xfce4-power-manager-WARNING **: Unable to connect to session managet : Impossibile connettersi al gestore della sessione: SESSION_MANAGER environment variable not defined

(xfce4-power-manager:4968): xfce4-power-manager-WARNING **: could not map keysym 1008ffa8 to keycode
--- END

Fen Labalme (fen-openprivacy) wrote :

This had been working for me for the last 18 months, then (same as @tommy-trussell) I upgraded (to Xubuntu 14.04, no issues, but then it started again.

Actually, during that 18 month period when it "worked" (proper suspend on LID close) there would be occasional times that the suspend would fail. But rare enough that the reboot seemed like a good thing to do anyway (even if a hassle with 25 windows and 50 browser tabs spread across 4 workspaces)...

xfce4-power-manager --restart --sm-client-id 2e8860bf1-e99f-47a9-9f8a-35e5fa4c66c8

There's more to it - commands with --quit and --restart options won't do anything

~$ ps -ef | grep power-manager | grep -v grep
u******+ 25698 23969 0 00:45 ? 00:00:00 xfce4-power-manager
~$ xfce4-power-manager --quit
~$ ps -ef | grep power-manager | grep -v grep
u******+ 25698 23969 0 00:45 ? 00:00:00 xfce4-power-manager
u******+ 25705 23969 0 00:45 ? 00:00:00 xfce4-power-manager --quit
~$ xfce4-power-manager --restart
~$ ps -ef | grep power-manager | grep -v grep
u******+ 25698 23969 0 00:45 ? 00:00:00 xfce4-power-manager
u******+ 25705 23969 0 00:45 ? 00:00:00 xfce4-power-manager --quit
u******+ 25711 23969 0 00:45 ? 00:00:00 xfce4-power-manager --restart

because it seems like initial instance of xfce4-power-manager "does not exist" for session manager? Maybe this explains these "did not receive a reply" messages?

awol (awol99) wrote :

i had this problem BUT i have been installing from server or alternate to a
text interface THEN installing xubuntu-desktop.

the result is xubuntu with nothing else - not even THIS problem.

On Sun, May 25, 2014 at 7:52 AM, Dimitri Bakalow
<email address hidden>wrote:

> There's more to it - commands with --quit and --restart options won't do
> anything
>
> ~$ ps -ef | grep power-manager | grep -v grep
> u******+ 25698 23969 0 00:45 ? 00:00:00 xfce4-power-manager
> ~$ xfce4-power-manager --quit
> ~$ ps -ef | grep power-manager | grep -v grep
> u******+ 25698 23969 0 00:45 ? 00:00:00 xfce4-power-manager
> u******+ 25705 23969 0 00:45 ? 00:00:00 xfce4-power-manager --quit
> ~$ xfce4-power-manager --restart
> ~$ ps -ef | grep power-manager | grep -v grep
> u******+ 25698 23969 0 00:45 ? 00:00:00 xfce4-power-manager
> u******+ 25705 23969 0 00:45 ? 00:00:00 xfce4-power-manager --quit
> u******+ 25711 23969 0 00:45 ? 00:00:00 xfce4-power-manager
> --restart
>
> because it seems like initial instance of xfce4-power-manager "does not
> exist" for session manager? Maybe this explains these "did not receive a
> reply" messages?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/973778
>
> Title:
> Unable to connect to Xfce Power Manager
>
> Status in Light Display Manager:
> New
> Status in Xfce4 Power Manager:
> Unknown
> Status in “xfce4-power-manager” package in Ubuntu:
> Fix Released
>
> Bug description:
> What happens:
>
> When I try to access the Xubuntu Power Manager (through Xubuntu
> Settings / Settings Manager), I get first a blank settings window and
> then this error message:
>
> "Unable to connect to Xfce Power Manager
> Did not receive a reply. Possible causes include: the remote application
> did not send a reply, the message bus security policy blocked the reply,
> the reply timeout expired, or the network connection was broken. "
>
>
> typing
> xfce4-power-manager
> or
> xfce4-power-manager-settings
> in the terminal leads to: nothing. nothing happens, not even a error
> message.
>
> So I'm not able to make any power settings in Xubuntu.
>
> What is expected to happen:
> Being able to use power manager settings
>
>
> Ubuntu Version:
> 12.04 beta with all updates.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: xfce4-power-manager 1.0.11-0ubuntu1
> ProcVersionSignature: Ubuntu 3.2.0-21.34-generic-pae 3.2.13
> Uname: Linux 3.2.0-21-generic-pae i686
> ApportVersion: 2.0-0ubuntu4
> Architecture: i386
> Date: Wed Apr 4 23:15:10 2012
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386
> (20120328)
> SourcePackage: xfce4-power-manager
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/lightdm/+bug/973778/+subscriptions
>

--
Sent from my recycled old computer.
[:C≡N:]− , I ≤ 2πrEħc ln 2

Upgraded to Ubuntu 14.04 and I'm still having troubles with this.

Changed in xfce4-power-manager:
importance: Unknown → Critical
status: Unknown → Confirmed
Martin Spacek (mspacek) wrote :

Note that Darko's Bug #1254881 (xfce session starts multiple instances of xfce4-power-manager and xfce4-volumed) is useful, while Bug #1314782 (multimedia keys don't work when xfce4-volumed is run in daemon mode) might be the ultimate fix for all of this, assuming that patch can be applied to more than just xfce4-volumed.

Jaime Pérez (jaime-91) wrote :

In Ubuntu 12.04 seems to work fine

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.